classification
Title: Please document top-level sqlite3 module variables
Type: Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, berker.peksag, docs@python, ghaering, wchlm
Priority: normal Keywords:

Created on 2012-06-20 15:21 by wchlm, last changed 2016-03-27 17:36 by berker.peksag. This issue is now closed.

Messages (3)
msg163285 - (view) Author: wchlm (wchlm) Date: 2012-06-20 15:21
sqlite3 top-level variables, such as version, sqlite_version, version_info, and sqlite_version_info are all useful for Python users of the module -- even essential at times. Yet there is no mention of them in the Py 2.7.3 documentation. 

dir(sqlite3) reveals a longer list. It would be good if someone with a deeper knowledge of the module could assemble a list of useful items and add them to the sqlite3 documentation.
msg223056 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-14 20:31
@wchlm sorry about the delay in responding, but would you like to propose a patch for this?
msg262527 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-03-27 17:36
*_version_* attributes OP mentioned have already been documented in b8b26feb3e1a.
History
Date User Action Args
2016-03-27 17:36:07berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg262527

resolution: out of date
stage: resolved
2014-07-14 20:31:30BreamoreBoysetnosy: + BreamoreBoy
messages: + msg223056
2012-06-23 07:00:11terry.reedysetnosy: + ghaering
2012-06-20 15:21:24wchlmcreate